
Application: gvSIG desktop - gvSIG bugs #4059
DXF no escribe correctamente
01/27/2016 02:13 PM - Daniel Martinez

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category:
Target version: 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128)
Severity: Major Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2421 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Tanto al editar capas DXF como al exportar a formato DXF desde otra capa se produce un error.
En ambos casos aparece en el log de forma reiterada la siguiente línea:
“WARN [Thread-34] (DXFStoreProvider.java:863) - Geometry {1} not yet supported”

En la edición si se descartan los cambios y se vuelve a cargar la capa, sólo quedan los puntos. Han desaparecido el resto de
geometrías.
En la exportación se carga la capa generada, pero esta no contiene registros.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4094: Error al exportar ... Closed 02/08/2016 02/08/2016

Associated revisions
Revision 132 - 02/02/2016 08:35 AM - Francisco Díaz Carsí

refs #4059 Arreglado el provider de DXF para funcionar con el nuevo api de geometrías.

En el doDispose del provider de DXF, se autoelimina como consumidor del resource para que dicho resource no intente notificarle cambios
posteriormente.

Arreglada la operación PointGetAngle

Revision 42673 - 02/02/2016 08:35 AM - Francisco Díaz Carsí

refs #4059 Arreglado el provider de DXF para funcionar con el nuevo api de geometrías.

En el doDispose del provider de DXF, se autoelimina como consumidor del resource para que dicho resource no intente notificarle cambios
posteriormente.

Arreglada la operación PointGetAngle

History
#1 - 02/01/2016 01:41 AM - Joaquín  del Cerro Murciano
- Severity changed from Minor to Major
- Assignee set to Francisco Díaz Carsí

#2 - 02/02/2016 08:46 AM - Francisco Díaz Carsí
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 98
- Status changed from New to Fixed

#3 - 02/02/2016 10:13 AM - Joaquín  del Cerro Murciano
- Target version changed from 98 to 2.3.0-2418 (rev. org.gvsig.desktop-2.0.124)

#4 - 02/08/2016 02:49 PM - Álvaro Anguix
- gvSIG build set to 2421
- Status changed from Fixed to New
- File gvSIG.log added

El error comentado no se produce, pero no deja terminar edición. Aunque le demos al botón de terminar edición, se queda abierta y la única solución
para cerrarla es pulsar "Descartar cambios y cerrar".
Adjunto LOG

#5 - 02/08/2016 03:52 PM - Francisco Díaz Carsí
- Related to gvSIG bugs #4094: Error al exportar de DGN a DXF added

#6 - 02/08/2016 03:55 PM - Francisco Díaz Carsí
- Target version changed from 2.3.0-2418 (rev. org.gvsig.desktop-2.0.124) to 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128)
- Status changed from New to Fixed

Alvaro, el error que te ha aparecido ahora no es el mismo que el original de esta tarea.
Éste nuevo es el mismo que el de la tarea 4094 que ya está arreglado para el siguiente build (2422).
Vuelvo a poner a fixed este actualizándole la versión prevista.

#7 - 02/08/2016 05:20 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 417 KB 02/08/2016 Álvaro Anguix
